trackballs(6)

NAME
Trackballs - marble game similar to the classic arcade game 'Marble Madness'

SYNOPSIS
trackballs [-w] [-m] [-y] [-f] [-e -l<level> -t<level>] [-r<width>] [-s<sensitivity>] ...

DESCRIPTION
Trackballs is a simple game inspired by the classic Atari 1980's arcade game 'Marble Madness' (later released by Electronic Arts for the Amiga and other platforms). By steering a marble ball through a labyrinth filled with sharp objects, pools of acid and other obstacles the player collects points. When the ball passes through the goal it continues to the next, more difficult track - unless the time runs out. It should be noted that this game is _not_ intended to be a replica of Marble Madness but rather merely inspired by it. For instance the game uses 3D graphics even though the original game had no real use for it. Also the game is fully programmable with a scripting extension (Guile), and includes a level editor with which to easily create new levels.

OPTIONS

-h , --help
    Display usage information.

-l , --level
    Start from level.

-w , --windowed
    Run in window (Default is fullscreen)

-m , --mute
     Mute sound.

-y , --low-memory
    Attempt to conserve memory usage

-s , --sensitivity
    Mouse sensitivity, default 1.0

-f , --fps
    Displays framerate

-v , --version
    Indicate the current version number

-9 , --debug-joystick
    Debug joystick status

-j , --repair-joystick
    Correct for bad joysticks

-t , --touch
    Updates a map to the latest format

ENVIRONMENT

GUILE_LOAD_PATH
    Specifies the directory where the guile files are

TRACKBALLS
    Specifies a preferred share directory; this is ignored if invalid

FILES

/usr/games/trackballs
    The executable file for trackballs

/usr/share/trackballs
    Necessary shared files for trackballs

/usr/share/locale
    Location of the locale files, if applicable

/usr/doc/trackballs-1.3.4/html
    Detailed package documentation

~/.trackballs/
    Per user settings directory

EXAMPLE

To run this program the standard way type:

    trackballs

To disable audio and start in windowed mode

    trackballs -m -w

Alternatively you can test a level with:

    trackballs -l steep

NOTES

Full documentation for the game and the editor can be found in the detailed package documentation or at https://trackballs.github.io/docs/index.html

AUTHORS

See the AUTHORS.md file in the source package for a detailed list of authors.